# Configuration des envois d'emails

ScoDoc envoie ou peut envoyer des emails, ou e-mails, ou courriels à de
nombreuses occasions, par exemple:

- comptes utilisateurs (réinitialisation mot de passe);
- envois de bulletins par mail aux étudiants;
- envois de notifications (notamment concernant l'assiduité);
- messages de diagnostic lors d'erreurs logicielles pour les développeurs.

Il est donc important de bien configurer le système de messagerie du serveur
ScoDoc. Ce point ne peut pas être documenté ici, car il dépend de
l'environnement local: relais de messagerie, politiques de filtrage, etc.
Par défaut, ScoDoc utilise le service SMTP Postfix, qui doit donc être configuré
pour relayer les messages vers la passerelle de l'établissement: voir la page
[envoi des courriers électroniques](ProblemesMail.md).

Une fois cela fait, l'utilisateur (administrateur) de ScoDoc a peu de réglages a
effectuer.

## Adresse d'origine (From)

On peut spécifier l'adresse d'origine (le champ `From`) de tous les mails émis.
![Réglage de l'adresse origine](fig/config-generale-mail.png)

Ce réglage peut être modifié au niveau de chaque département, via la page
**Paramétrage**:

![Réglage de l'adresse origine sur un département](fig/config-dept-mail.png)

## Notifications d'absences

Les notifications liées à l'absentéisme (fréquences, contenu) peuvent être
réglées via via la page **Paramétrage** de chaque département:
![Réglage des notifications](fig/config-dept-abs.png)

!!! note "Voir aussi"
    
    - Configuration système: [Envoi des courriers électroniques](ProblemesMail.md)
    - Installation, flux réseaux et configuration: [Guide d'installation](GuideInstallDebian11.md)
    - [Contacts](Contact.md)

