# Données personnelles pour l'étudiant

## Description d'un étudiant

La désignation d'un étudiant (classiquement civilité-nom-prenom) peut prendre différentes formes en fonctions des circonstances et des souhaits de l'étudiant.
On distingue les éléments suivants:

* `nom`: (obligatoire): le nom de l'étudiant (en usage dans l'établissement). Généralement (mais pas toujours) le nom d'état-civil de l'étudiant.
* `prenom`:  (obligatoire): le prénom de l'étudiant
* `civilité`:  (obligatoire): la civilité utilisée parmi les valeurs:
  * `MR` (ou aussi `H` ou `M`)
  * `MME` (ou aussi `F`)
  * `X` décrit plus loin
* `nom_usuel`: si présent s'affiche à la place du `nom`.
* `prenom_etat_civil`: Si présent, indique le prénom qui doit être utilisé dans les documents officiels (PV et bulletin). 
* `civilite_etat_civil` est associé au prénom d'état-civil (donc jamais utilisé si `prenom_etat_civil` n'est pas renseigné. 

## Personalisations

L'étudiant peut:

* déclarer un nom d'usage qui remplacera le nom initial dans tous les documents
  (par exemple par l'adoption d'un nom marital pour remplacer le patronyme)
  Il faut dans ce cas remplir la donnée `nom_usuel` avec le nouveau nom souhaité.
* Demander la suppression de la civilité courante (`MR` ou `MME`). La valeur `X` peut être utlisée dans ce cas.
* demander l'utilisation d'un prénom d'usage ([1] et [2]).
  
  Ce prénom, qui ne demande pas d'acte officiel (hormis une demande formelle à l'université d'appartenence) remplace le prénom initial dans tous les documents internes 
  sauf dans les documents officiels (procès-verbal et bulletin de notes). Ce changement peut être accompagné d'un changement de civilité.
  Il faut dans ce cas:
  * Reporter le prénom et la civilité initiaux dans les champs `prenom_etat_civil` et `civilite_etat_civil`
  * Remplacer les champs `civilite` et `prenom` avec les valeurs souhaitées par l'étudiant.

## Dans le logiciel

Les données personnelles sont modifiables:

* Dans l'écran `Changer les données identité/admission` du menu `Étudiant` dans la fiche étudiant.
* Par la procédure d'importation par tableur (`Import/export des données d'admission` du menu `INSCRIPTIONS`)

Les civilités et prénom d'état-civil sont prises en compte:

* Automatiquement lors de la production du procés-verbal
* Dans l'édition du bulletin au format pdf (pas sur la passerelle étudiant) à condition que les descriptions spécifiées dans le paramètrage du département et/ou les réglages bulletin des semestres concernés mentionne
la balise `etat_civil` plutôt que la balise `nomprenom` (cf. [Paramètrage des bulletins / Valeurs remùplacées](https://scodoc.org/ParametrageBulletins/#valeurs-remplacees)).

Les données personalisées figurent toutes dans les données livrées par l'API.

## Références

[1] [Lettre ministre aux chefs d'établissement de l'enseignement supérieur](https://cache.media.enseignementsup-recherche.gouv.fr/file/Lutte_contre_les_discriminations/84/4/lettre_ministre_1117844.pdf)

[2] [Avis du conseil d'état](https://www.conseil-etat.fr/fr/arianeweb/CE/decision/2022-09-28/458403)
