# Guide ScoDoc pour le ou la responsable de formation

Cette partie s'adresse plutôt aux responsables de formation (cheffes ou chefs de
département IUT, responsable de filières, ...). Nous allons apprendre à:

* définir une formation (saisie du programme pédagogique définissant les modules)

* mettre en place un semestre (ou session) de formation

* inscrire des étudiants à un semestre de formation

## Définir un programme pédagogique

Voir [Programmes pédagogiques et versions](Formations.md).

## Créer un semestre de formation

Pour créer un semestre de formation, on va partir d'un programme pédagogique
donné et y choisir un (sous)ensemble de modules. Le semestre sera associé à une
date de début, une date de fin, et un responsable (*directeur des études* dans
le langage IUT).

* Options de paramétrage d'un semestre: [Paramétrage Semestre](ParametrageSemestre.md)

## Inscrire des étudiants

* [Importer des listes d'étudiants](ImportationEtuds.md) (en début d'année ou de semestre)

* [Synchroniser avec une étape Apogée](SynchroApogee.md)

* [Vérifier les codes NIP](VerifCodeNIP.md)

* [Associer des photos aux étudiants](GestionPhotos.md)

* [Données sur scolarité antérieure et admission](DonneesAdmissions.md)

## Jurys

* [Saisie des décisions](SaisieDecisionsJury.md)
* [Gestion des commissions et jurys, édition des PV](GestionJury.md)

## Suivi de la Scolarité

* [Récapitulatif des opérations en fin de semestre et début du suivant](TransitionSemestre.md)

* [Note sur la capitalisation des UE](CapitalisationUE.md)

* [Note sur la compensation des semestres](CompensationSemestre.md) (DUT)

## Échanges de programmes pédagogiques entre établissements

ScoDoc permet d'exporter et d'importer des programmes pédagogiques: voir des
fichiers sur la page
[Exemples Programmes Pédagogiques](ExemplesProgrammesPedagogiques.md)

!!! note "Voir aussi"

    - [Programmes de formation](Formations.md)
    - [Guide utilisateur](GuideUtilisateur.md)
    - [Modélisation BUT: exemple complet](BUTExempleInfo.md)
    - [Tutoriels vidéo](https://www.youtube.com/channel/UCb0JYCBRi0CsE4XFp4ByhXg)
          - [Gestion des UE Bonus](https://www.youtube.com/watch?v=SVbjuDpq-lI)
          - [Mise en place des parcours BUT](https://www.youtube.com/watch?v=OnuOXJo-3ro)
          - [Saisie des codes Apogée](https://www.youtube.com/watch?v=MW0nNhbBjDM)
          - [Du DUT au BUT: comment transformer un programme](https://www.youtube.com/watch?v=9HizGTvYgck)
    - [FAQ](FAQ.md)
    - [Contacts](Contact.md)
